### Constructor

# WebKit2WebExtension UserMessage new

#### Declaration [src]

    WebKitUserMessage*
    webkit_user_message_new (
      const char* name,
      GVariant* parameters
    )

#### Description [src]

Create a new `WebKitUserMessage` with `name`.

Available since: | 2.28

#### Parameters

`name` | `const char*`
| The message name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`parameters` | `GVariant`
| The message parameters as a `GVariant`, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `WebKitUserMessage`
| The newly created `WebKitUserMessage` object.
| The data is owned by the called function.